Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 170799 - Redo the evo appearance in the menus
Summary: Redo the evo appearance in the menus
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target Yellowpad
TreeView+ depends on / blocked
 
Reported: 2005-10-14 16:01 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-27 22:28:16 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2005-10-14 16:01:50 UTC
We talked about doing separate entries for Mail (which would be in Internet),
Tasks, Calendars and Contacts. 
The desktop files should not refer to evolution-2.4, but just to evolution

Comment 1 Dave Malcolm 2005-10-17 18:37:28 UTC
My plan is to use the string and icon from each of the four evolution components
(as seen in the task switching buttons)

Should all four be in "Internet"?  Putting Mail and Contacts in Internet makes
sense; however Tasks and Calendars are less clearly in "Internet".  Though
perhaps they should be kept together?  How about putting all of them in the
"Office" category?



Comment 2 Matthias Clasen 2005-10-17 18:52:59 UTC
I thought

Internet
  Mail

Office
  Mail
  Calendar
  Tasks
  
Do we really need a menu item for Contacts ?


Comment 3 Dave Malcolm 2005-10-24 19:52:23 UTC
Possibly: in theory Gaim, OO.org and gnome-meeting can access these contacts as
well (don't know current state of the support for e-d-s though).

I'm going to try this for the initial verson (hopefully tomorrow's rawhide):

Internet
  Mail
  Contacts

Office
  Tasks
  Calendar



Comment 4 Dave Malcolm 2005-10-25 00:49:27 UTC
gah... found a regression in the specfile (of bug 103826).  I'm fixing that one
tonight, and will look at fixing this one tomorrow.

Comment 5 Ray Strode [halfline] 2005-10-25 19:38:25 UTC
I think we should make sure that the "Hide Buttons" menu item (in the
View->Switcher Appearance menu) is defaulted to off when we separate things. 
The components feel much more independent when that switcher isn't visible.

Comment 6 Dave Malcolm 2005-10-25 23:40:14 UTC
The packages:
evolution-2.4.1-6
redhat-menus-5.0.4-1
should land in rawhide tomorrow, containing the scheme described in comment 3.

I'll look into the idea in comment 5, but I guess we should see how people feel
about the separate launcher idea.

Comment 7 Dave Malcolm 2005-10-26 21:45:52 UTC
There was some snafu with the build of 2.4.1-6 which stopped it landing today,
but it's built now.

I've implemented the idea in comment 5; building as 2.4.1-7 (patching the GConf
schema so that by default the switcher buttons are not visible on new evolution
windows), hopefully should land in tomorrow's rawhide (modulo build problems, of
course...)

Comment 8 Dave Malcolm 2005-10-27 22:28:16 UTC
Resolving as fixed in rawhide.  

Comments welcome - is this an improvement?  Should we add some of these
launchers to the default panel? etc etc


Note You need to log in before you can comment on or make changes to this bug.